### Class

# Gcr SimpleCertificate

#### Description [src]

    class Gcr.SimpleCertificate : GObject.Object
      implements Gcr.Certificate {
      /* No available fields */
    }

An implementation of `GcrCertificate` which loads a certificate from DER data already located in memory.

To create an object, use the `gcr_simple_certificate_new()` or `gcr_simple_certificate_new_static()` functions.

#### Ancestors

- GObject

#### Implements

- GcrCertificate

#### Constructors

###### gcr_simple_certificate_new

Create a new `GcrSimpleCertificate` for the raw DER data. The `data` memory is copied so you can dispose of it after this function returns.

###### gcr_simple_certificate_new_static

Create a new `GcrSimpleCertificate` for the raw DER data. The `data` memory is not copied and must persist until the `GcrSimpleCertificate` object is destroyed.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GcrCertificate (25)

Please see GcrCertificate for a full list of methods.

#### Properties

##### Properties inherited from GcrCertificate (5)

###### GcrCertificate:description

A readable description for this certificate.

###### GcrCertificate:expiry-date

The expiry date of the certificate.

###### GcrCertificate:issuer-name

Common name part of the certificate issuer.

###### GcrCertificate:label

A readable label for this certificate.

###### GcrCertificate:subject-name

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GcrSimpleCertificateClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.